%define major 0
%define libname %mklibname omxil-bellagio %major
%define libname_devel %mklibname -d omxil-bellagio
%define il_api 1.1.2

Name:          libomxil-bellagio
Version:       0.9.3
Release:       %mkrel 8
Summary:       Bellagio OpenMAX Integration Layer %{il_api} library and components
Group:         System/X11
License:       LGPL
Url:           http://omxil.sourceforge.net/
Source0:       http://sourceforge.net/projects/omxil/files/omxil/Bellagio%20%{version}/libomxil-bellagio-%{version}.tar.gz

Patch0:        libomxil-bellagio-0.9.3-Werror.patch

# avoid gcc 4.5 warning with case -1 statement on enum type
Patch1:        libomxil-bellagio-0.9.3-omx_base_component.patch
# add -Wno-error=unused-but-set-variable -Wno-error=unused-but-set-parameter for CFLAGS
Patch2:        libomxil-bellagio-0.9.3-gcc46.patch

BuildRequires: autoconf
BuildRequires: automake
BuildRequires: doxygen
BuildRequires: glibc-devel
BuildRequires: pkgconfig(alsa)
BuildRequires: pkgconfig(id3tag)
BuildRequires: pkgconfig(libavcodec)
BuildRequires: pkgconfig(libavformat)
BuildRequires: pkgconfig(libavutil)
BuildRequires: pkgconfig(libswscale)
BuildRequires: pkgconfig(mad)
BuildRequires: pkgconfig(vorbis)

%description
The OpenMAX IL %{il_api} API defines a standardized media component interface to
enable developers and platform providers to integrate and communicate
with multimedia codecs implemented in hardware or software.

%package -n %libname
Summary:          Library files for %{name}
Group:            System/X11
Provides:         %{name} = %version

%description -n %libname
Bellagio OpenMAX Integration Layer %{il_api} library and components.

The libomxil shared library implements the OpenMAX IL Core functionalities.
Four dynamically loadable components are also included: OMX volume control,
OMX audio mixer (up to 4 inputs), a video scheduler component for uncompressed
video streams and a clock component

%package -n %libname_devel
Group:         Development/C
Summary:       Devel package for %{name}
Requires:      %libname = %{version}-%{release}
Provides:      %{name}-devel = %{version}

%description -n %libname_devel
Bellagio OpenMAX Integration Layer %{il_api} library and components.

This package contains static libraries and header files need for development.

%package doc
Group:         Documentation
Summary:       OpenMAX Bellagio Documentation
BuildArch:	noarch

%description doc
Bellagio OpenMAX Integration Layer %{il_api} library and components.

This package contains OpenMAX Bellagio documentation.

%prep
%setup -q
#%patch0 -p1
%patch1 -p0
%patch2 -p0      

%build

# suggested by dmorgan
%define _disable_ld_no_undefined 1

autoreconf -fi
sed -i 's|omxregister_bellagio_LDFLAGS = -lomxil-bellagio -L$(builddir)|omxregister_bellagio_LDFLAGS = -L$(builddir)|' src/Makefile.am
%configure2_5x --enable-videosrc --disable-static --disable-jpeg
%make

%install
%makeinstall_std docdir=%{_docdir}/%{name}

rm -rf $(find %{buildroot} -name "*.la")

cp -a doc/libomxil-bellagio/html %{buildroot}%{_docdir}/%{name}

%post
%{_bindir}/omxregister-bellagio
exit 0

%files -n %libname
%{_bindir}/omxregister-bellagio
%{_libdir}/libomxil-bellagio.so.%{major}{,.*}
%dir %{_libdir}/bellagio
%{_libdir}/bellagio/libomxaudio_effects.so.%{major}{,.*}
%{_libdir}/bellagio/libomxclocksrc.so.%{major}{,.*}
%{_libdir}/bellagio/libomxvideosched.so.%{major}{,.*}
%dir %{_libdir}/omxloaders
%{_libdir}/omxloaders/libomxdynamicloader.so.%{major}{,.*}
%{_docdir}/%{name}/ChangeLog
%{_docdir}/%{name}/README
%{_docdir}/%{name}/TODO
%{_mandir}/man1/omxregister-bellagio.1.xz

%files -n %libname_devel
%{_includedir}/*.h
%dir %{_includedir}/bellagio
%{_includedir}/bellagio/*.h
%{_libdir}/libomxil-bellagio.so
%{_libdir}/bellagio/libomxaudio_effects.so
%{_libdir}/bellagio/libomxclocksrc.so
%{_libdir}/bellagio/libomxvideosched.so
%{_libdir}/omxloaders/libomxdynamicloader.so
%{_libdir}/pkgconfig/libomxil-bellagio.pc
%doc AUTHORS COPYING NEWS

%files doc
%doc %{_docdir}/%{name}/html


%changelog
* Tue May 02 2017 akien <akien> 0.9.3-8.mga6
+ Revision: 1098363
- Rebuild for ffmpeg 3.3

* Wed Feb 03 2016 umeabot <umeabot> 0.9.3-7.mga6
+ Revision: 933146
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.9.3-6.mga5
+ Revision: 747287
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.9.3-5.mga5
+ Revision: 681680
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.9.3-4.mga4
+ Revision: 507281
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 0.9.3-3.mga3
+ Revision: 357927
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Nov 09 2012 fwang <fwang> 0.9.3-2.mga3
+ Revision: 316575
- update rpm group

* Mon Dec 19 2011 gil <gil> 0.9.3-1.mga2
+ Revision: 184081
- build fix
  fix files lists
- build fix
  added sub package doc
  added %%post script
  applied patch#1 patch#2 (from Debian)
- * clean spec file
- * update to 0.9.3
  * package dont support Werror flag
- imported package libomxil-bellagio

